com.google.cloud.dataflow.sdk.options

## Class GcpOptions.GcpUserCredentialsFactory

- java.lang.Object
- - com.google.cloud.dataflow.sdk.options.GcpOptions.GcpUserCredentialsFactory

All Implemented Interfaces:
  DefaultValueFactory<Credential>

Enclosing interface:
  GcpOptions

    public static class GcpOptions.GcpUserCredentialsFactory
    extends Object
    implements DefaultValueFactory<Credential>

Attempts to load the GCP credentials. See `CredentialFactory.getCredential()` for more details.

### Constructor Summary

Constructors
Constructor and Description
`GcpUserCredentialsFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Credential` `create(PipelineOptions options)` Creates a default value for a getter marked with `Default.InstanceFactory`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GcpUserCredentialsFactory

    public GcpUserCredentialsFactory()

### Method Detail

#### create

    public Credential create(PipelineOptions options)

Description copied from interface: `DefaultValueFactory`
Creates a default value for a getter marked with `Default.InstanceFactory`.

Specified by:
  `create` in interface `DefaultValueFactory<Credential>`
Parameters:
  `options` - The current pipeline options.
Returns:
  The default value to be used for the annotated getter.